# Uses of Interface
org.mariadb.jdbc.credential.CredentialPlugin

Packages that use CredentialPlugin
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.credential
org.mariadb.jdbc.credential.aws
org.mariadb.jdbc.credential.env
org.mariadb.jdbc.credential.system
org.mariadb.jdbc.util

## Uses of CredentialPlugin in org.mariadb.jdbc

Methods in org.mariadb.jdbc that return CredentialPlugin
Modifier and Type
Method
Description
`CredentialPlugin`
UrlParser.`getCredentialPlugin()`

## Uses of CredentialPlugin in org.mariadb.jdbc.credential

Methods in org.mariadb.jdbc.credential that return CredentialPlugin
Modifier and Type
Method
Description
`static CredentialPlugin`
CredentialPluginLoader.`get(String type)`
Get current Identity plugin according to option `identityType`.
`default CredentialPlugin`
CredentialPlugin.`initialize(Options options, String userName, HostAddress hostAddress)`

## Uses of CredentialPlugin in org.mariadb.jdbc.credential.aws

Classes in org.mariadb.jdbc.credential.aws that implement CredentialPlugin
Modifier and Type
Class
Description
`class`
`AwsIamCredentialPlugin`
Permit AWS database IAM authentication.
Methods in org.mariadb.jdbc.credential.aws that return CredentialPlugin
Modifier and Type
Method
Description
`CredentialPlugin`
AwsIamCredentialPlugin.`initialize(Options options, String userName, HostAddress hostAddress)`

## Uses of CredentialPlugin in org.mariadb.jdbc.credential.env

Classes in org.mariadb.jdbc.credential.env that implement CredentialPlugin
Modifier and Type
Class
Description
`class`
`EnvCredentialPlugin`
Authentication using environment variable.
Methods in org.mariadb.jdbc.credential.env that return CredentialPlugin
Modifier and Type
Method
Description
`CredentialPlugin`
EnvCredentialPlugin.`initialize(Options options, String userName, HostAddress hostAddress)`

## Uses of CredentialPlugin in org.mariadb.jdbc.credential.system

Classes in org.mariadb.jdbc.credential.system that implement CredentialPlugin
Modifier and Type
Class
Description
`class`
`PropertiesCredentialPlugin`
Authentication using java system properties.
Methods in org.mariadb.jdbc.credential.system that return CredentialPlugin
Modifier and Type
Method
Description
`CredentialPlugin`
PropertiesCredentialPlugin.`initialize(Options options, String userName, HostAddress hostAddress)`

## Uses of CredentialPlugin in org.mariadb.jdbc.util

Methods in org.mariadb.jdbc.util with parameters of type CredentialPlugin
Modifier and Type
Method
Description
`static void`
DefaultOptions.`postOptionProcess(Options options, CredentialPlugin credentialPlugin)`
Option initialisation end : set option value to a coherent state.